srg(1)

NAME
srg - A fast and flexible log analyser for the Squid proxy

SYNOPSIS
srg srg [options] <logfile> [logfile] ...

DESCRIPTION
SRG is a log analyser for the Squid web proxy. SRG takes input in the form of Squid access logs and outputs a series of reports in PHP (or HTML) format designed to summarise what the users of the cache have been viewing. SRG supports grouping requests by user, subnet or IP and can also filter on the same criteria.

OPTIONS

-C <config file>
    Location of the srg config file.

-d  Enable debugging output

-f <date>[time]
    Start time to begin analysation at

--help -h
    Display this help

-H  Generate HTML rather than PHP reports

-m <days>
    Specify maximum number of days to keep a report

-M  Output a summary report suitable for emailing.

-o <directory>
    Output Directory

-O <URL>
    URL where reports will be located

-t <date>[time]
    End time to stop analysation at

-v  Verbose mode. Print relevant messages.

-V  Print Version and exit.

Date and time should be specified in the following format for -f and -t

 Date: YYYY-MM-DD
 Time: :HH:MM:SS - note leading :
 eg. 2005-01-08:15:46:30 (Jan 8 2005 15:46:30)

Logfile(s) to process should be specified at the end of the options

AUTHOR
SRG is written and maintained by Matt Brown <matt@crc.net.nz> with the help of many others. See AUTHORS in the top level of the source tree.

BUGS
Of course SRG doesn't have any bugs *wink*, if by some obscure chance you happen to find a bug in SRG, please report it via the URL below

http://sourceforge.net/tracker/?func=add&group_id=62787&atid=501794